---
title: Order
---
//[shop](../../../index.html)/[com.tezro.api.shop.model.orders](../index.html)/[Order](index.html)



# Order



[jvm]\
data class [Order](index.html)

Contains detailed information about order



## See also


jvm

| | |
|---|---|
| [com.tezro.api.shop.model.orders.address.Address](../../com.tezro.api.shop.model.orders.address/-address/index.html) |  |
| [com.tezro.api.shop.model.orders.Order.Currency](-currency/index.html) |  |
| [com.tezro.api.shop.model.common.Attribute](../../com.tezro.api.shop.model.common/-attribute/index.html) |  |



## Parameters


jvm

| | |
|---|---|
| externalId | Order's id that should be used to make requests and queries in other methods other than init method. This id is generated by Tezro Open-Api if init method is successful |
| internalId | Order's id that was provided in init method |
| name | Name of the order product or products |
| status | Current status of the order |
| amount | Item's amount |
| shippingAmount | Shipping amount |
| totalAmount | Sum of item and shipping amounts |
| eosName | Shop's eos account name |
| currency | Payment currency |
| expiryDate | ISO8601 DateTime string. If not provided by shop, will be expired in 1 hour after order created |
| paymentLink | The link that will open Tezro app for payment transaction |
| address | Delivery address. Available after confirming address by the customer |
| transactionId | Id of payment transaction. Available after confirming order by the customer |
| amountConfirmationUrl | Url for confirming delivery address |
| customerFullName | First and Last name of the customer |
| customerPhoneNumber | Phone number of the customer |
| photos | List of photo urls of ordered products |
| attributes | List of attributes about the order |
| trackingNumber | The number that was provided by the seller which is used to track the location of the product during shipment |



## Types


| Name | Summary |
|---|---|
| [Currency](-currency/index.html) | [jvm]<br>enum [Currency](-currency/index.html) : [Enum](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-enum/index.html)&lt;[Order.Currency](-currency/index.html)&gt; <br>Indicates the currency of an order. |
| [Status](-status/index.html) | [jvm]<br>enum [Status](-status/index.html) : [Enum](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-enum/index.html)&lt;[Order.Status](-status/index.html)&gt; <br>Indicates the current status of an order. |


## Properties


| Name | Summary |
|---|---|
| [address](address.html) | [jvm]<br>val [address](address.html): [Address](../../com.tezro.api.shop.model.orders.address/-address/index.html)? |
| [amount](amount.html) | [jvm]<br>val [amount](amount.html): [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
| [amountConfirmationUrl](amount-confirmation-url.html) | [jvm]<br>val [amountConfirmationUrl](amount-confirmation-url.html): [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)? |
| [attributes](attributes.html) | [jvm]<br>val [attributes](attributes.html): [List](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html)&lt;[Attribute](../../com.tezro.api.shop.model.common/-attribute/index.html)&gt;? |
| [currency](currency.html) | [jvm]<br>val [currency](currency.html): [Order.Currency](-currency/index.html) |
| [customerFullName](customer-full-name.html) | [jvm]<br>val [customerFullName](customer-full-name.html): [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)? |
| [customerPhoneNumber](customer-phone-number.html) | [jvm]<br>val [customerPhoneNumber](customer-phone-number.html): [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)? |
| [eosName](eos-name.html) | [jvm]<br>val [eosName](eos-name.html): [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
| [expiryDate](expiry-date.html) | [jvm]<br>val [expiryDate](expiry-date.html): [Date](https://docs.oracle.com/javase/8/docs/api/java/util/Date.html) |
| [externalId](external-id.html) | [jvm]<br>val [externalId](external-id.html): [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
| [internalId](internal-id.html) | [jvm]<br>val [internalId](internal-id.html): [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
| [name](name.html) | [jvm]<br>val [name](name.html): [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
| [paymentLink](payment-link.html) | [jvm]<br>val [paymentLink](payment-link.html): [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
| [photos](photos.html) | [jvm]<br>val [photos](photos.html): [List](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-list/index.html)&lt;[String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)&gt;? |
| [shippingAmount](shipping-amount.html) | [jvm]<br>val [shippingAmount](shipping-amount.html): [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)? |
| [status](status.html) | [jvm]<br>val [status](status.html): [Order.Status](-status/index.html) |
| [totalAmount](total-amount.html) | [jvm]<br>val [totalAmount](total-amount.html): [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
| [trackingNumber](tracking-number.html) | [jvm]<br>val [trackingNumber](tracking-number.html): [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)? |
| [transactionId](transaction-id.html) | [jvm]<br>val [transactionId](transaction-id.html): [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)? |

